Page({

  /**
   * 页面的初始数据
   */
  data: {
    zradio: [
      { sex: '女', bool: false },
      { sex: '男', bool: false }
    ],
    occupations: [
      { occupation: '家长', bool: false },
      { occupation: '老师', bool: false },
      { occupation: '学生', checked: true, bool: false  }
    ],
    region: ['北京市', '海淀区','清华大学']
  },
  radioChange: function (e) {
    var zradio = this.data.zradio;
    var index = e.currentTarget.dataset.index;
    console.log(index);
    if (this.data.zradio[index].bool) {
      console.log(zradio[index].bool);
      zradio[index].bool = false;
    } else {
      zradio[index].bool = true;
    };
    this.setData({
      zradio: zradio
    });
  },
  formSubmit: function (e) {
    console.log('form发生了submit事件，携带数据为：', e.detail.value)
  },
  bindRegionChange: function (e) {
    console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      region: e.detail.value
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (option) {
    console.log(option.title);
    if (option.title) {
      wx.setNavigationBarTitle({
        title: option.title//页面标题为路由参数
      });
      this.setData({
        title: option.title
      });
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
     
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
    
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
    
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    
  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    
  }
})